import type RootStore from 'stores/root';
import FinGAPTable from './fingap';
import InsuranceTable from './insurance';
import PaymentsTable from './payments';

export default class TablesStore {
  payments: PaymentsTable;
  insurance: InsuranceTable;
  fingap: FinGAPTable;

  constructor(rootStore: RootStore) {
    this.payments = new PaymentsTable(rootStore);
    this.insurance = new InsuranceTable(rootStore);
    this.fingap = new FinGAPTable(rootStore);
  }
}
